<%--
    Document   : pds_stock_register
    Created on : May 5, 2016, 12:31:09 PM
    Author     : 590685
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page import="java.sql.Statement"%>
<%@page import="java.sql.ResultSet"%>
<%@page import="java.sql.Connection"%>
<%@page import="DataEntryBean.AssetRegisterBean"%>
<%@page import="java.util.ArrayList"%>
<%@page import="LoginDb.DbHandler"%>
<% try {
%>

<html>

    <head>
        <title>Asset Depreciation</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <script src="${pageContext.request.contextPath}/js/Calendar.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/TableCSSCode.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <link rel="shortcut icon" href="${pageContext.request.contextPath}/img/favicon.ico?pacs=<%=((new java.util.Date()).getTime())%>" type="image/x-icon" />
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/styles.css?pacs=<%=((new java.util.Date()).getTime())%>"/>
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/ButtonAndText.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/info.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <script type="text/javascript" src="${pageContext.request.contextPath}/jquery-ui-1.10.4.custom/development-bundle/jquery-1.10.2.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <script type="text/javascript" src="/PacsApplication/chromejs/chrome.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <script type="text/javascript" src="/PacsApplication/js/iFrame_killer.js"></script>
        <script type="text/javascript">

            function noBack()
            {
                window.history.forward();
            }

            function popup_asset(width, height, asset_type, asset_subtype) {
                if (window.innerWidth) {
                    LeftPosition = (window.innerWidth - width) / 2;
                    TopPosition = ((window.innerHeight - height) / 2) - 20;
                }
                else {
                    LeftPosition = (parseInt(window.screen.width) - width) / 2;
                    TopPosition = ((parseInt(window.screen.height) - height) / 2) - 20;
                }
                attr = 'resizable=yes,scrollbars=yes,width=' + width + ',height=' +
                    height + ',screenX=300,screenY=200,left=' + LeftPosition + ',top=' +
                    TopPosition + '';
                var screenName = "assetRegister.jsp";
                var lovKey = "assetDetails"
                popWin = open('${pageContext.request.contextPath}/CommonSearchInformation_ASSET_LOV.jsp?asset_type=' + asset_type + '&asset_subtype=' + asset_subtype + '&screenName=' + screenName + '&lovKey=' + lovKey, 'assetDetails', attr);
                popWin.focus();

            }
            function submitform(assetregister)
            {

                if (assetregister.asset_type.value == "" )
                {
                    alert("Enter Asset Type details.");
                    assetregister.asset_type.focus();
                    return false;
                }
                if (assetregister.asset_subtype.value == "")
                {
                    alert("Enter Asset Sub-Type details.");
                    assetregister.asset_subtype.focus();
                    return false;
                }

                document.forms[0].action = '/PacsApplication/AssetRegisterServlet';
                document.assetregister.submit();
            }

            function ShowParent()
            {
                document.forms[0].action = "${pageContext.request.contextPath}/Asset_JSP/assetRegister.jsp";
                document.forms[0].submit();
            }
            // to restrict going back 
            history.pushState(null, null, location.href);
            window.addEventListener('popstate', function(event) {
                history.pushState(null, null, location.href);
            });

        </script>
    </head>
    <body onload="noBack()">

        <%
                    String error_msg = "";
                    Object error = request.getAttribute("message");
                    if (error != null) {
                        error_msg = error.toString();
                    }
        %>
        <%!
            String blankNull(String s) {
                return (s == null) ? "" : s;
            }
        %>

        <%
                    Object alpdsStockRegisterBeanApendObj = request.getAttribute("alAssetRegisterBean");
                    Object oAssetRegisterBeanObj = request.getAttribute("oAssetRegisterBean");

                    AssetRegisterBean oAssetRegisterBeanApend = new AssetRegisterBean();
                    if (oAssetRegisterBeanObj != null) {
                        oAssetRegisterBeanApend = (AssetRegisterBean) request.getAttribute("oAssetRegisterBean");
                    }

                    ArrayList<AssetRegisterBean> alAssetRegisterBeanApend = new ArrayList<AssetRegisterBean>();
                    if (alpdsStockRegisterBeanApendObj != null) {
                        alAssetRegisterBeanApend = (ArrayList<AssetRegisterBean>) request.getAttribute("alAssetRegisterBean");
                    }
        %>

        <%
                    String displayFlag = "";
                    Object display = request.getAttribute("displayFlag");
                    if (display != null) {
                        displayFlag = display.toString();
                    }
        %>

        <jsp:include page="MenuHead_ASSET.jsp" flush="true" />
        <br>
        <fieldset style="border-color: black;  background-image: url('/PacsApplication/img/download.jpg'); border-width: 3px">

            <legend style="padding: 8px; border-radius: 20px; background-color: #006600; color: white">Asset Depreciation</legend>

            <form id="assetregister" name="assetregister" method="post" action="">

                <%if (!error_msg.equalsIgnoreCase("")) {%>
                <center><div class="info" id="errorMessage"><center><%= error_msg%></center></div></center>
                <% }%>

               
               
            </form>

        </fieldset>
    </body>
</html>
<% 	} catch (Exception e) {
               
            }
%>